package cz.moneta.test.dsl.util.task.auto.smartauto.newcalculation;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.auto.smartauto.NewCalculationPage;
import cz.moneta.test.dsl.auto.smartauto.shared.Group;

import java.util.function.Function;

public class GroupTasks {

    private final Harness harness;

    public GroupTasks(Harness harness) {
        this.harness = harness;
    }

    public Function<NewCalculationPage, NewCalculationPage> chooseGroup(Group group) {
        return start -> start
                .clickVehicleGroupComboboxArrow()
                .clickVehicleGroupComboboxValue(group);
    }
}
